# $Revision: 1.19 $, $Date: 2011/06/06 06:22:47 $
Summary:	An initscript to load netconsole.ko module
Summary(pl.UTF-8):	Skrypt inicjalizujący do wczytywania modułu netconsole.ko
Name:		netconsole
Version:	0.3
Release:	3
License:	GPL
Group:		Base
Source0:	%{name}.init
Source1:	%{name}.sysconfig
Source2:	http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=blob_plain;f=Documentation/networking/%{name}.txt
# Source2-md5:	98712ca5ba15aaf6df29e0eea0acd753
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An initscript to load netconsole kernel module.

For NetConsole Daemon, you can look at cancd package or use plain
syslog daemon.

%description -l pl.UTF-8
Skrypt inicjalizujący do wczytywania modułu jądra netconsole.

Demona NetConsole można znaleźć w pakiecie cancd.

%prep
%setup -qcT
cp -a %{SOURCE2} .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}
install -p %{SOURCE0} $RPM_BUILD_ROOT/etc/rc.d/init.d/netconsole
cp -a %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/netconsole

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add netconsole
# nothing to restart - no rc-script stop

%preun
if [ "$1" = "0" ]; then
	# nothing to stop - no rc-script stop
	/sbin/chkconfig --del netconsole
fi

%files
%defattr(644,root,root,755)
%doc netconsole.txt
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/netconsole
%attr(754,root,root) /etc/rc.d/init.d/netconsole

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: netconsole.spec,v $
Revision 1.19  2011/06/06 06:22:47  arekm
- rel 3; don't use ifconfig, it's obsolete

Revision 1.18  2011/02/06 16:56:25  sparky
- unified %clean section

Revision 1.17  2010/05/25 10:18:38  glen
- fix typo in status; rel 2

Revision 1.16  2010/05/11 16:24:26  glen
- v0.3
- update source0 to refer to git
- updated initscript with template.init

Revision 1.15  2009/08/24 14:37:48  blues
- rel.4 - start right after network

Revision 1.14  2008/09/29 20:03:24  qboosh
- updated pl

Revision 1.13  2008/09/29 12:57:12  glen
- release 3

Revision 1.12  2008/09/29 12:50:48  glen
- mention package where to find server part

Revision 1.11  2008/09/29 11:19:03  glen
- tabs and spaces

Revision 1.10  2008/09/29 11:14:08  glen
- md5

Revision 1.9  2008/09/29 11:12:34  glen
- fix netconsole.txt md5

Revision 1.8  2008/09/29 11:04:34  glen
- add Documentation/networking/netconsole.txt from 2.6.25.17 kernel; rel 2

Revision 1.7  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:12  baggins
- converted to UTF-8

Revision 1.5  2006/07/26 17:59:07  glen
- rel 1

Revision 1.4  2006/01/19 03:03:03  ankry
- cosmetics

Revision 1.3  2006/01/09 17:45:20  qboosh
- typo, pl

Revision 1.2  2006/01/06 20:51:37  glen
- no %config for initscript

Revision 1.1  2006/01/06 20:50:43  glen
- initial
